
(function(){
    var apis = {
        getList: function(data){
            return APIService.httpGet('/doctor/prescriptionInfo/getRecipeMasterList', data);
        },
        getListTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + '/doctor/prescriptionInfo/getRecipeMasterList', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        },
        //获得原处方的详情
        getJwPrescriptionInfo: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getPrescription', data);
        },
        getCatalog: function(data){
            return APIService.httpGet('doctor/archives/event/catalog', data);
        }
    };

    window.jwPrescriptionAPI = apis;
})(jQuery)